//	Image Noise Removal Filter
//	Copyright (C) 2002 Karlis Freivalds
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Parameters.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm2 *Form2;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner)
    : TForm(Owner)
{
    distWeight = 12*256;
    radius = 2;
    radiusCr = 4;
    radiusCb = 5;

    reductionCr = false;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::Button1Click(TObject *Sender)
{
    getParams();
    distWeight = (Sensitivity->Max-Sensitivity->Position)*128;
    reductionCr = reductionBox->Checked;
    ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TForm2::FormShow(TObject *Sender)
{
    Sensitivity->Position = Sensitivity->Max - distWeight/128;
    RadiusBarChange(Sender);
    SensitivityChange(Sender);
    Radius1Change(Sender);
    Radius2Change(Sender);
}
//---------------------------------------------------------------------------
void __fastcall TForm2::RadiusBarChange(TObject *Sender)
{
    getParams();
    Label1->Caption = "Radius: " + AnsiString(radius);
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SensitivityChange(TObject *Sender)
{
    Label2->Caption = "Edge Sensitivity: " + AnsiString(Sensitivity->Position);
}
//---------------------------------------------------------------------------

void __fastcall TForm2::Radius1Change(TObject *Sender)
{
    getParams();
    Label3->Caption = "Radius: " + AnsiString(radiusCr);
}
//---------------------------------------------------------------------------


void __fastcall TForm2::Radius2Change(TObject *Sender)
{
    getParams();
    Label5->Caption = "Radius: " + AnsiString(radiusCb);
}

//---------------------------------------------------------------------------
void TForm2::getParams()
{
    radius = RadiusBar->Position/4.0;
    radiusCr = Radius1->Position/2.0;
    radiusCb = Radius2->Position/2.0;
}


