//	Image Noise Removal Filter
//	Copyright (C) 2002 Karlis Freivalds
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//---------------------------------------------------------------------------

#ifndef ParametersH
#define ParametersH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm2 : public TForm
{
__published:	// IDE-managed Components
    TButton *Button1;
    TButton *Button2;
    TTrackBar *RadiusBar;
    TLabel *Label1;
    TTrackBar *Sensitivity;
    TLabel *Label2;
    TGroupBox *GroupBox1;
    TGroupBox *GroupBox2;
    TLabel *Label3;
    TTrackBar *Radius1;
    TCheckBox *reductionBox;
    TGroupBox *GroupBox3;
    TLabel *Label5;
    TTrackBar *Radius2;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall RadiusBarChange(TObject *Sender);
    void __fastcall SensitivityChange(TObject *Sender);
    void __fastcall Radius1Change(TObject *Sender);
    void __fastcall Radius2Change(TObject *Sender);
private:	// User declarations
    void getParams();
public:		// User declarations
    float radius;
    int distWeight;
    float radiusCr;
    bool reductionCr;
    float radiusCb;

    __fastcall TForm2(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm2 *Form2;
//---------------------------------------------------------------------------
#endif
