//	Image Noise Removal Filter
//	Copyright (C) 2002 Karlis Freivalds
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef col_den
#define col_den

/*
    This class performs filtering of color images in Y, Cr, Cb color space
*/

class colorDenoise
{
public:
    void process(int *Y, int *Cr, int *Cb, int width, int height);
    void setParameters(float Ry, float Rr, float Rb, int preserveEdges,bool doReducing);

private:
    void createEdgeGraph(int *Y, int *Cr, int *Cb);
    int getEdgeWeight(int dy, int dr, int db);
    void deleteEdgeGraph(int length);

    int width;
    int height;

    float Ry; float Rr; float Rb;
    int preserveEdges; bool doReducing;
    int ** edgeGraph;
    double invWeight;
    double wY, wR, wB;
};

#endif
