//	Image Noise Removal Filter
//	Copyright (C) 2002 Karlis Freivalds
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef PQ_H
#define PQ_H

 
struct QueueElement{
    float key;
    float baseKey;
    int value;
};

class PriorityQueue{
protected:
   int *places;
   int maxrange;
   QueueElement *queue;
   int maxsize;
public:
   int last;
   void AddElem(QueueElement e);
   void GetElem(QueueElement *e);
   int NotEmpty(){return(last>0);}

   PriorityQueue(int count,int maxrange_);
   PriorityQueue(int count);
   ~PriorityQueue();
};

#endif
