//	Image Noise Removal Filter
//	Copyright (C) 2002 Karlis Freivalds
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef reduce_h
#define reduce_h

#include "smooth.h"

void unShrink2x(int *outData, int *inData, int w, int h);
void shrink2x(int *indata, int *outData, int w, int h);

class reducedSmoothing : public adaptiveSmoothing
{
public:
    reducedSmoothing();
    void process(int *data, int width, int height);
    void setParameters(int radius, int preserveEdges,bool doReducing);
private:
    bool reduce;
    int newWidth;
    int newHeight;

};

#endif
